Workflow Start Endpoint

/workflow/start Starts an OMN Workflow instance for a given WorkflowConfig Identifier

This endpoint can be used to start OMN workflows in a similar manner that users would use to start them manually in the OMN UI. This means workflow parameters and its default values configured in OMN are taken into account when starting a workflow. The endpoint allows starting multiple instances of a certain workflow configuration with a single call.

All start requests are executed synchronously in no specific order. Depending on the workflows being started, and their first asynchronous behaviour, this might take quite some time.
Issues for each start request are collected independently and do normally not affect other start requests
Table 1. Details

Resource path

/api/wfl/v1/workflow/start

HTTP method

POST

Request content type

application/json

Response content type

application/json

Body parameters

API consumer should provide one WorkflowConfig identifier and a set of 1-n ProcessStartRequest(s)

Response

See Response

Response type contains status and info about each process instance that was created

Table 2. Http response codes
Code Description Datatype

200

Success. Workflow instances started.

Response

500

An unknown internal error occurred. Check the Issue objects of the Response for more info.

Response

Samples
Minimal workflow start example request
curl snippet
curl --location --request POST 'https://<OMN_SERVER>/api/wfl/v1/workflow/start' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
    "configIdentifier": "F.WorkflowConfig.ACC.MAM.0_1",
    "processStartRequests": [
        {
            "linkedObjects": [
            ],
            "parameters": [
            ]
        }
    ]
}'
Request body BulkStartRequest
{
    "configIdentifier": "F.WorkflowConfig.ACC.MAM.0_1",
    "processStartRequests": [
        {
            "linkedObjects": [],
            "parameters": []
        }
    ]
}
Response body Response
[
    {
        "tid": "be931211-9591-11ee-8fb3-02420a570303",
        "status": "success",
        "dataType": "workflow"
    }
]
Start request with linked objects and parameters
curl snippet
curl --location --request POST 'https://<OMN_SERVER>/api/wfl/v1/workflow/start' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
    "configIdentifier": "F.WorkflowConfig.ACC.AI-image-autoretouch",
    "processStartRequests": [
        {
            "linkedObjects": [
                {
                    "type": "file",
                    "id": 12346
                },
                {
                    "type": "product",
                    "id": 12346
                }
            ],
            "parameters": [
                {
                    "key": "Tags",
                    "value": [
                        "Long",
                        "Blue",
                        "Women"
                    ],
                    "type": "string"
                },
                {
                    "key": "DeleteAfterProcessing",
                    "value": ["true"],
                    "type": "boolean"
                },
                {
                    "key": "OrderNumber",
                    "value": ["156664"],
                    "type": "long"
                },
                {
                    "key": "CreationDate",
                    "value": ["2022-01-28T14:29:10.212"],
                    "type": "date"
                }
            ]
        }
    ]
}'
Request body BulkStartRequest
{
    "configIdentifier": "F.WorkflowConfig.ACC.AI-image-autoretouch",
    "processStartRequests": [
        {
            "linkedObjects": [
                {
                    "type": "file",
                    "id": 12346
                },
                {
                    "type": "product",
                    "id": 12346
                }
            ],
            "parameters": [
                {
                    "key": "Tags",
                    "value": [
                        "Long",
                        "Blue",
                        "Women"
                    ],
                    "type": "string"
                },
                {
                    "key": "DeleteAfterProcessing",
                    "value": ["true"],
                    "type": "boolean"
                },
                {
                    "key": "OrderNumber",
                    "value": ["156664"],
                    "type": "long"
                },
                {
                    "key": "CreationDate",
                    "value": ["2022-01-28T14:29:10.212"],
                    "type": "date"
                }
            ]
        }
    ]
}
Response body Response
[
    {
        "tid": "be931211-9591-11ee-8fb3-02420a570303",
        "status": "success",
        "dataType": "workflow"
    }
]

Welcome to the AI Chat!

Write a prompt to get started...